/* m.css */
/* main menu style sheet */

.top_container {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99;

    display: flex;
    align-items: center;
    justify-content: space-between;

    width: 100%;
    height: 42px;
    padding: 0 10px;
    box-sizing: border-box;

    border: none;
    background-color: var(--top_menu_background_color);
}

.top_menu_country_list_container {
    margin-left: 10px;
    margin-top: auto;
}

.top_menu_country_name {
    color: var(--top_menu_text_color1) !important;
    text-decoration: none;
    background-color:transparent;
    font-size: 1rem;
}

.top_menu_country_name a {
    color:darkblue !important;
    text-decoration: none;
}

.title_logo_container {
    display: flex;
    align-items: center;
    flex-shrink: 1;
}

.title_logo {
    display: block;
    height: 26px;
    width: auto;
    max-width: 65vw;
}

.main_menu_container {
    display: flex;
    align-items: center;
    gap: 14px;
}

.main_menu_item {
    color: var(--top_menu_text_color1) !important;
    text-decoration: none;
    white-space: nowrap;
}

.main_menu_item:hover {
    text-decoration: none;
    color:cyan !important;
}

.burger_container {
    display: none;
    padding-right: 30px;
}

.burger_button {
    border: none;
    background: transparent;
    color: var(--top_menu_text_color1);

    font-size: 3rem;  /* 3vw; */
    line-height: 1;
    cursor: pointer;

}

.burger_button:hover {
    background: transparent;
    background-color:transparent;
}    

@media screen and (max-width:1440px) {
    .top_container {
        height: 100px;
        flex-wrap: wrap;
    }

    .title_logo_container {
        padding-left:30px;    
    }

    .title_logo {
        height: auto;
        width:auto;
        max-width: 60vw;
        max-height: 80px;
    }

    .top_menu_country_list_container {
        margin-top: 0;
        padding-left: 20px;
    }

    .top_menu_country_name {
        font-size: 3rem;
    }

    .burger_container {
        display: flex;
        align-items: center;
        padding-right:20px;
    }

    .main_menu_container {
        display: none;

        position: absolute;
        top: 110px;
        left: 0;

        width: 100%;
        flex-direction: column;
        align-items: stretch;

        background-color: var(--top_menu_background_color);
        text-align: center;
    }

    .main_menu_container.responsive {
        display: flex;
        /* background-color:var(--top_menu_background_color_mobile) !important; */
        padding-top:10px;
        padding-bottom:10px;        
    }

    .main_menu_item_container {
        width: 100%;
    }

    .main_menu_item {
        display: block;
        width: 100%;
        padding: 0;
        font-size: 4rem;
        line-height: 1.2;
        background-color: transparent;
        color: white !important;
        text-decoration: none;
    }
}

/*----------------------------------*/
